package org.sakaiproject.template.wicket;

import org.sakaiproject.template.facade.TemplateFacade;
import org.sakaiproject.template.wicket.pages.TemplateHomePage;
import org.sakaiproject.wicket.protocol.http.SakaiWebApplication;

public class TemplateApplication extends SakaiWebApplication {

	private TemplateFacade facade;
	
	protected void init()
	{
		super.init();
		mountBookmarkablePage("/home", TemplateHomePage.class);
	}
	
	public Class getHomePage() {
		return TemplateHomePage.class;
	}

	public TemplateFacade getFacade() {
		return facade;
	}

	public void setFacade(TemplateFacade facade) {
		this.facade = facade;
	}
	
	
}
